For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET Unclaimed orders

Get unclaimed orders

get
Query parameters
chainstring · enumRequired

Blockchain name, eg: ethereum, bsc, ...

Possible values:
addressstringRequired

The address of the user

Example: 0x1235dB6df8a915557fF1fD0B9098C5548F2e06e3Pattern: ^0x[a-fA-F0-9]{40}$
Header parameters
apiKeystringRequired

The API key that was assigned to you by Native

Responses
200

Success

application/json
quoteIdstringRead-onlyRequired
signerstringRead-onlyRequired
senderstringRead-onlyRequired
recipientstringRead-onlyRequired
sourceChainstringRead-onlyRequired
destChainstringRead-onlyRequired
sourceTokenstringRead-onlyRequired
destTokenstringRead-onlyRequired
sourceAmountnumberRead-onlyRequired
destAmountnumberRead-onlyRequired
get/v1/bridge/unclaimed-orders
GET /bridge/v1/bridge/unclaimed-orders?chain=ethereum&address=text HTTP/1.1
Host: newapi.native.org
apiKey: text
Accept: */*
200

Success

[
  {
    "quoteId": "text",
    "signer": "text",
    "sender": "text",
    "recipient": "text",
    "sourceChain": "text",
    "destChain": "text",
    "sourceToken": "text",
    "destToken": "text",
    "sourceAmount": 1,
    "destAmount": 1
  }
]

Last updated